summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorSjoerd Simons <sjoerd@luon.net>2009-03-17 19:41:23 +0000
committerSjoerd Simons <sjoerd@luon.net>2009-03-17 19:41:23 +0000
commit952f5bd31390e6d0e291e95e7035628e5e6f8ee9 (patch)
tree9543776a4c0715b9d9990ed2103a9c0165138604 /autogen.sh
parent467cc8de580acb2fd89a7e0f827c75408aadf526 (diff)
Add basic build infrastructure
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..7f08e9b
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+set -e
+
+if test -n "$AUTOMAKE"; then
+ : # don't override an explicit user request
+elif automake-1.9 --version >/dev/null 2>/dev/null && \
+ aclocal-1.9 --version >/dev/null 2>/dev/null; then
+ # If we have automake-1.9, use it. This helps to ensure that our build
+ # system doesn't accidentally grow automake-1.10 dependencies.
+ AUTOMAKE=automake-1.9
+ export AUTOMAKE
+ ACLOCAL=aclocal-1.9
+ export ACLOCAL
+fi
+
+autoreconf -i -f
+
+run_configure=true
+for arg in $*; do
+ case $arg in
+ --no-configure)
+ run_configure=false
+ ;;
+ *)
+ ;;
+ esac
+done
+
+if test $run_configure = true; then
+ ./configure "$@"
+fi